import type { RcOptions } from "envosman/dist/rc-file.js";
/**
 * Update the alternatives for a package
 * @param name The name of the package
 * @param path The path to the binary
 * @param priority The priority of the alternative (Defaults to `40`)
 */
export declare function updateAptAlternatives(name: string, path: string, priority?: number): Promise<void>;
/**
 * Add the update-alternatives command to the rc file
 * @param name The name of the package
 * @param path The path to the binary
 * @param rcOptions The options for the rc file to add the update-alternatives command to
 * @param priority The priority of the alternative (Defaults to `40`)
 */
export declare function addUpdateAlternativesToRc(name: string, path: string, rcOptions: RcOptions, priority?: number): Promise<void>;
